#!/bin/sh

##-------------------------------------------------------------------------------
## OUMA is Copyright (c)  2003 Volker Krause <volker_krause@gmx.net>
##
## Version:      1.3.0
## Creation:     02.04.2003  vk
## Last Update:  04.07.2003  vk
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation in Version 2; Not any previous or future
## version.
##-------------------------------------------------------------------------------

if test -f /var/run/ouma/$ip.blocked
then
	rm -f /var/run/ouma/$ip.time
else
	if test -f /var/run/ouma/$ip.neverblock
	then
		;
	else
		if test -f /var/run/ouma/$ip.blockpr;then
		else
			hostname=`cat /var/run/ouma/hn`

			if test -f /var/run/ouma/errpageport; then
				ouma_err_port=`cat /var/run/ouma/errpageport`
				/sbin/ipchains -I input -p tcp -s $ip -d ! $hostname -j REDIRECT $ouma_err_port 
			else	
				/sbin/ipchains -I input 1 -p tcp -s $ip -d ! $hostname -j DENY
			fi

			if test -f /var/run/ouma/blockudp;then
				/sbin/ipchains -I input 1 -p udp -s $ip -d ! $hostname -j DENY
			fi

			if test -f /var/run/ouma/blockicmp;	then
				/sbin/ipchains -I input 1 -p icmp -s $ip -d ! $hostname -j DENY
			fi
		fi
		echo "" > /var/run/ouma/$ip.blocked
		rm -f /var/run/ouma/$ip.time
	fi
fi